### Property

# Adw SplitButton:direction

#### Declaration

    property direction: Gtk.ArrowType [ read, write ]

#### Description [src]

The direction in which the popup will be popped up.

The dropdown arrow icon will point at the same direction.

If the does not fit in the available space in the given direction, GTK will try its best to keep it inside the screen and fully visible.

If you pass `GTK_ARROW_NONE`, it’s equivalent to `GTK_ARROW_DOWN`.

Type:`GtkArrowType`

Default value | GTK_ARROW_DOWN
Getter method | `adw_split_button_get_direction()`
Setter method | `adw_split_button_set_direction()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no